from fastapi import APIRouter, status, Depends
from sqlalchemy.orm import Session
from schemas.user import UserCreate
from helpers.user_helpers import create_user, get_db

router = APIRouter()

@router.post("/signup", status_code=status.HTTP_201_CREATED, response_model=UserCreate)
async def signup(user: UserCreate, db: Session = Depends(get_db)):
    """Create a new user"""
    new_user = create_user(db=db, user=user)
    return new_user